package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.KeyAreas;

/**
 * 重点区域Service接口
 * 
 * @author ruoyi
 * @date 2023-07-24
 */
public interface IKeyAreasService 
{
    /**
     * 查询重点区域
     * 
     * @param id 重点区域主键
     * @return 重点区域
     */
    public KeyAreas selectKeyAreasById(Long id);

    /**
     * 查询重点区域列表
     * 
     * @param keyAreas 重点区域
     * @return 重点区域集合
     */
    public List<KeyAreas> selectKeyAreasList(KeyAreas keyAreas);

    /**
     * 新增重点区域
     * 
     * @param keyAreas 重点区域
     * @return 结果
     */
    public int insertKeyAreas(KeyAreas keyAreas);

    /**
     * 修改重点区域
     * 
     * @param keyAreas 重点区域
     * @return 结果
     */
    public int updateKeyAreas(KeyAreas keyAreas);

    /**
     * 批量删除重点区域
     * 
     * @param ids 需要删除的重点区域主键集合
     * @return 结果
     */
    public int deleteKeyAreasByIds(String ids);

    /**
     * 删除重点区域信息
     * 
     * @param id 重点区域主键
     * @return 结果
     */
    public int deleteKeyAreasById(Long id);
}
